Bug 832087 - RichFaces Validation: wrong version of hibernate-validator in pom.xml
RichFaces Validation: wrong version of hibernate-validator in pom.xml
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples, RichFaces (Show other bugs)
2.0.0.ER8
Unspecified Unspecified
low Severity low
: ER2
: 2.1.0
Assigned To: Karel Piwko
Karel Piwko
jboss-as-quickstarts richfaces-valida...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 09:36 EDT by Tomas Repel
Modified: 2012-11-30 10:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
RichFaces Validation example incorrectly used version 4.2.0.Final of the hibernate-validator artifact. This issue has been fixed by updating the example to use the correct enterprise version of hibernate-validator (4.2.0.Final-redhat-1).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2012-06-14 09:36:10 EDT
Description of problem:

In RichFaces Validation quickstart, the hibernate-validator version is set to 4.2.0.Final, the correct version should be 4.2.0.Final-redhat-1. This doesn't affect the functionality of the quickstart.

Version-Release number of selected component (if applicable):

WFK2 ER8
EAP6 CR1

How reproducible:

Always.

Steps to Reproduce:
1. see pom.xml file, the version is hard-coded there
Comment 2 Karel Piwko 2012-06-20 11:01:10 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
RichFaces Validation example should use 4.2.0.Final-redhat-1 version instead of 4.2.0.Final for hibernate-validator artifact. This does not impair funcionality of the example.
Comment 6 Tomas Repel 2012-10-18 04:30:06 EDT
Verified in WFK 2.1.0.ER2
Comment 7 Karel Piwko 2012-11-30 10:34:46 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.